using iiie.Logs.DBO;
using iiie.WebApiUtils.DBO;
using WebAPiUtils_test.DataAccess;
using WebAPiUtils_test.DBO;

namespace WebAPiUtils_test.BusinessManager
{
    public class ValuesBusiness
    {
        public static OpResult<ValuesDboGet> Get(long id)
        {
            return ValuesManager.GetSingleById(id);
        }

        public static OpResult<DboGetMultiple<ValuesDboGet>> Contains(string text, int page, int perPage)
        {
            return ValuesManager.Contains(text, page, perPage);
        }

        public static OpResult<bool> Edit(ValuesDboEdit obj, long id)
        {
            return ValuesManager.EditById(obj, id);
        }

        public static OpResult<long> Add(ValuesDboAdd obj)
        {
            return ValuesManager.AddId(obj);
        }

        public static OpResult<ValuesDboGet> AddDbo(ValuesDboAdd obj)
        {
            return ValuesManager.AddDbo(obj);
        }
    }
}